pike.git / src / pike_compiler.cmod

version» Context lines:

pike.git/src/pike_compiler.cmod:171:    low_verify_supporters(s->next_dependant);      #if 0    fprintf(stderr, "low_verify_supporters %p%s, level %d: "    "previous %p, depends_on %p, dependants %p, next_dependant %p\n",    s, s == current_supporter ? " == current_supporter" : "",    m->level, s->previous, s->depends_on, s->dependants, s->next_dependant);   #endif       if(s->previous && SNUM(s->previous) <= m->level) -  Pike_fatal("Que, numbers out of whack1\n"); +  Pike_fatal("Que, numbers out of whack1 (%ld <= %ld)\n", +  (long)SNUM(s->previous), (long)m->level);       if(s->depends_on && SNUM(s->depends_on) <= m->level) -  Pike_fatal("Que, numbers out of whack2\n"); +  Pike_fatal("Que, numbers out of whack2 (%ld <= %ld)\n", +  (long)SNUM(s->depends_on), (long)m->level);       for(ss=s->dependants;ss;ss=ss->next_dependant) {    if (ss->depends_on != s)    Pike_fatal("Dependant hasn't got depends_on set properly.\n");    if(SNUM(ss) >= m->level) -  Pike_fatal("Que, numbers out of whack3\n"); +  Pike_fatal("Que, numbers out of whack3 (%ld >= %ld)\n", +  (long)SNUM(ss), (long)m->level);    }       low_verify_supporters(s->previous);    low_verify_supporters(s->depends_on);   }      void verify_supporters()   {    if(d_flag)    {